
QGIS Application - Bug report #10400

Text annotations in Print Composer

2014-05-30 07:22 AM - Ross McDonald

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18816

Description

I create a set of text annotations spread across my map canvas and set them to a fixed map position.  I create a new print composer and

add a map frame.  If I zoom in on a particular part of the map to see some of the detail I see the text annotations I created in the map

frame.  However, text annotations that are not in the map frame are still drawn and appear outside of the map frame.  I would expect text

annotations drawn on the map canvas to only appear within the map frame in print composer and not outside of it.  See attached

screenshot example.

I am using QGIS master e4d0f15 on Windows 7 32bit.

Associated revisions

Revision af0d68cf - 2014-06-05 08:31 AM - Nyall Dawson

Don't draw annotation text outside of painter's clip region (fix #10400)

History

#1 - 2014-06-02 05:17 AM - Ross McDonald

- Assignee set to Nyall Dawson

Hopefully Nyall is the correct person for the bug.

#2 - 2014-06-04 06:42 AM - Ross McDonald

- Target version set to Version 2.4

Having had to use QGIS and Print Composer to create a series of complex maps with lots of text annotations added to the map I feel this should be fixed

for 2.4 with a higher priority than normal as the user has no control over the display of the text.

#3 - 2014-06-04 01:47 PM - Giovanni Manghi

Ross McDonald wrote:

Having had to use QGIS and Print Composer to create a series of complex maps with lots of text annotations added to the map I feel this should be

fixed for 2.4 with a higher priority than normal as the user has no control over the display of the text.
blockers are the regressions (and this may be one, you should test older qgis releases) and high priority are issues that make a certain functionality

unusable (so it is not the case).

#4 - 2014-06-04 11:54 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"af0d68cf3dc4686a1dd61ce49c6f16a18a6622d3".

#5 - 2014-06-06 04:30 AM - Ross McDonald

- File text_anno_error_v220.jpg added

- File text_anno_error_v201.jpg added

- File text_anno_error_v230.jpg added

- Status changed from Closed to Reopened

- File QGIS_master_linux_mint.png added

- File text_anno_error_v230_103.jpg added

I am still getting the text annotations to display outside the map frame on the print composer.  I have attached screenshots of the problem in QGIS 2.0.1,

2.2.0 and two different builds of master from OSGeo4W and QGIS master on Linux Mint from the nightly builds.

#6 - 2014-06-06 04:32 AM - Nathan Woodrow

What is the version number in the title bar. Your version still might not be up to date yet.

#7 - 2014-06-06 06:06 AM - Ross McDonald

It is 3e8f74f

QGIS version    2.3.0-Master    QGIS code revision    3e8f74f

Compiled against Qt    4.7.1    Running against Qt    4.7.1

Compiled against GDAL/OGR    1.11.0    Running against GDAL/OGR    1.11.0

Compiled against GEOS    3.4.2-CAPI-1.8.2    Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    8.3.10    SpatiaLite Version    4.1.1

QWT Version    5.2.1    PROJ.4 Version    480

QScintilla2 Version    2.6.2    This copy of QGIS writes debugging output.

#8 - 2014-06-06 06:11 AM - Nathan Woodrow

- Tag deleted (text annotation print composer)

- Status changed from Reopened to Closed

Your build doesn't include that fix yet.  There should be a new one in a day or so.

Files

text_anno_print_composer.jpg 29.3 KB 2014-05-30 Ross McDonald

text_anno_error_v201.jpg 81.6 KB 2014-06-06 Ross McDonald
text_anno_error_v220.jpg 72.1 KB 2014-06-06 Ross McDonald

text_anno_error_v230.jpg 76.4 KB 2014-06-06 Ross McDonald

text_anno_error_v230_103.jpg 75.2 KB 2014-06-06 Ross McDonald

QGIS_master_linux_mint.png 204 KB 2014-06-06 Ross McDonald
